### Hierarchy

- Account
  - AccountObject

## Index

### Constructors

- constructor

### Properties

- _hdKey
- _seed

### Accessors

- address
- privateExtendedKey
- privateKey
- publicExtendedKey
- publicKey
- seed

### Methods

- deriveChild
- derivePath
- fromHDKey
- initFromExtendedKey
- initFromHDKey
- initFromSeed

## Constructors

### constructor

- new Account(config?: HDAccountConfig): Account

- - Defined in cs/accounts/account.ts:8

  #### Parameters

  - ##### Default value config: HDAccountConfig = {}

  #### Returns Account

## Properties

### Private _hdKey

_hdKey: hdKey

- Defined in cs/accounts/account.ts:8

### Private _seed

_seed: string

- Defined in cs/accounts/account.ts:7

## Accessors

### address

- get address(): string

- - Defined in cs/accounts/account.ts:39

  #### Returns string

### privateExtendedKey

- get privateExtendedKey(): string

- - Defined in cs/accounts/account.ts:43

  #### Returns string

### privateKey

- get privateKey(): string

- - Defined in cs/accounts/account.ts:28

  #### Returns string

### publicExtendedKey

- get publicExtendedKey(): string

- - Defined in cs/accounts/account.ts:50

  #### Returns string

### publicKey

- get publicKey(): string

- - Defined in cs/accounts/account.ts:35

  #### Returns string

### seed

- get seed(): string

- - Defined in cs/accounts/account.ts:21

  #### Returns string

## Methods

### deriveChild

- deriveChild(index: number): Account

- - Defined in cs/accounts/account.ts:77

  derive the private key from the index

  ### Example

      const newAccount = accountInstance.deriveChild(1)
      // => [Object Account]

  #### Parameters

  - ##### index: number

  #### Returns Account

### derivePath

- derivePath(path: string): Account

- - Defined in cs/accounts/account.ts:63

  derive the private key from the path

  ### Example

      const newAccount = accountInstance.derivePath("m/44'/1")
      // => [Object Account]

  #### Parameters

  - ##### path: string

  #### Returns Account

### Private fromHDKey

- fromHDKey(hdKeyObject: hdKey): Account

- - Defined in cs/accounts/account.ts:81

  #### Parameters

  - ##### hdKeyObject: hdKey

  #### Returns Account

### Private initFromExtendedKey

- initFromExtendedKey(extendedKey: string): void

- - Defined in cs/accounts/account.ts:92

  #### Parameters

  - ##### extendedKey: string

  #### Returns void

### Private initFromHDKey

- initFromHDKey(hdKeyObject: hdKey): void

- - Defined in cs/accounts/account.ts:97

  #### Parameters

  - ##### hdKeyObject: hdKey

  #### Returns void

### Private initFromSeed

- initFromSeed(seed: string): void

- - Defined in cs/accounts/account.ts:87

  #### Parameters

  - ##### seed: string

  #### Returns void

Generated using TypeDoc